Subject: bug#15692: 24.3.50; rcirc activity mode-line indicator gets cleared automatically

From: Tassilo Horn <[email-masked]>
Date: Fri, 25 Oct 2013 08:54:09 +0200

Stefan Monnier <[email-masked]> writes:

>> But as soon as I evaluate the definition of `rcirc-record-activity'
>> using C-x C-e, the resetting of `rcirc-activity' to nil doesn't
>> happen anymore.  That's absolutely reproducible.
>
> Indeed, there was an error in the compiler-macro of add-to-list which
> caused it to return the wrong value (it is rare for code to use the
> return value of add-to-list, but the docstring documents it all too
> clearly).

I see.

> Should be fixed now (tho you'll have to recompile rcirc.el after
> recompiling subr.el and rebuilding emacs).

I did so, and I confirm the problem is gone.  Thanks a lot!

Bye,
Tassilo